from ...vmagents.vmagent.vmagent import Vmagent
class Attacker(Vmagent):
    def __init__(self, **kwargs):
        super().__init__(**kwargs,category='attacker')


    def perform_attack(self):
        pass


    def list_attacks(self):
        pass

    class DDoSAttack:
    
        def __init__(self):
            pass

    class SQLInjectionAttack:
    
        def __init__(self):
            pass
